% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/glads_funcs.R
\name{initial.struct}
\alias{initial.struct}
\title{Initial Structure}
\usage{
initial.struct(N, nl, na, taxon = list(pos = NULL, id = NULL))
}
\arguments{
\item{N}{Number of individuals in the initial population}

\item{nl}{Number of simulated loci}

\item{na}{Number of alleles at each locus. This parameter is either a single value setting the number of alleles for all loci or a vector with the number of alleles at each loci.}

\item{taxon}{a list of two vectors providing the fixed positions 'pos' that differentiate the taxon and the allelic 'id' for these positions. The 'id' could also be a single value repeated on all fixed positions. The default value is NULL.}
}
\value{
An object of class \code{"struct"} or an array.
}
\description{
This function generates an object of class \code{"struct"} with an initial genetic population structure for simulations.
}
\details{
This function returns a three-dimensional array. Rows represent individuals and columns the different loci. Each element of the array is an integer defining the copy of a given allele at a given locus. The third dimension of the array has two layers representing a pair of homologous chromosomes.
}
\examples{
##Initial population size of 10 individuals with 5 biallelic loci
initial.population.size=10
n.loci=5
n.alleles.per.locus=2
initial.struct(initial.population.size,n.loci,n.alleles.per.locus)

##A differentiated taxon with fixed alleles in two loci
initial.struct(initial.population.size,n.loci,n.alleles.per.locus, taxon = list(pos=3:4, id=1:2))
}
\seealso{
\code{\link{evolve}}
}
